require "utf8_emoji/version"

module Utf8Emoji
  PEOPLE = {
    # :'bowtie'                   => nil,
    :'smile'                    => "\u{1F604}",
    :'blush'                    => "\u{1F60A}",
    :'smiley'                   => "\u{1F603}",
    :'relaxed'                  => "\u{263A}",
    :'smirk'                    => "\u{1F60F}",
    :'heart_eyes'               => "\u{1F60D}",
    :'kissing_heart'            => "\u{1F618}",
    :'kissing_face'             => "\u{1F61A}",
    :'flushed'                  => "\u{1F633}",
    :'relieved'                 => "\u{1F625}",
    :'satisfied'                => "\u{1F60C}",
    :'grin'                     => "\u{1F601}",
    :'wink'                     => "\u{1F609}",
    :'wink2'                    => "\u{1F61C}",
    :'tongue'                   => "\u{1F61D}",
    :'unamused'                 => "\u{1F612}",
    :'sweat'                    => "\u{1F613}",
    :'pensive'                  => "\u{1F614}",
    :'disappointed'             => "\u{1F61E}",
    :'confounded'               => "\u{1F616}",
    :'fearful'                  => "\u{1F628}",
    :'cold_sweat'               => "\u{1F630}",
    :'persevere'                => "\u{1F623}",
    :'cry'                      => "\u{1F622}",
    :'sob'                      => "\u{1F62D}",
    :'joy'                      => "\u{1F602}",
    :'astonished'               => "\u{1F632}",
    :'scream'                   => "\u{1F631}",
    :'angry'                    => "\u{1F620}",
    :'rage'                     => "\u{1F621}",
    :'sleepy'                   => "\u{1F62A}",
    :'mask'                     => "\u{1F637}",
    :'imp'                      => "\u{1F47F}",
    :'alien'                    => "\u{1F47D}",
    :'yellow_heart'             => "\u{1F49B}",
    :'blue_heart'               => "\u{1F499}",
    :'purple_heart'             => "\u{1F49C}",
    :'heart'                    => "\u{2764}",
    :'green_heart'              => "\u{1F49A}",
    :'broken_heart'             => "\u{1F494}",
    :'heartbeat'                => "\u{1F493}",
    :'heartpulse'               => "\u{1F497}",
    :'cupid'                    => "\u{1F498}",
    :'sparkles'                 => "\u{2728}",
    # :'star'                     => nil,
    :'star2'                    => "\u{1F31F}",
    :'anger'                    => "\u{1F4A2}",
    # :'exclamation'              => nil,
    # :'question'                 => nil,
    :'grey_exclamation'         => "\u{2755}",
    :'grey_question'            => "\u{2754}",
    :'zzz'                      => "\u{1F4A4}",
    :'dash'                     => "\u{1F4A8}",
    :'sweat_drops'              => "\u{1F4A6}",
    :'notes'                    => "\u{1F3B6}",
    :'musical_note'             => "\u{1F3B5}",
    :'fire'                     => "\u{1F525}",
    :'hankey'                   => "\u{1F4A9}",
    :'poop'                     => "\u{1F4A9}",
    :'shit'                     => "\u{1F4A9}",
    :'+1'                       => "\u{1F44D}",
    :'thumbsup'                 => "\u{1F44D}",
    :'-1'                       => "\u{1F44E}",
    :'thumbsdown'               => "\u{1F44E}",
    :'ok_hand'                  => "\u{1F44C}",
    :'punch'                    => "\u{1F44A}",
    :'fist'                     => "\u{270A}",
    :'v'                        => "\u{270C}",
    :'wave'                     => "\u{1F44B}",
    :'hand'                     => "\u{270B}",
    :'open_hands'               => "\u{1F450}",
    :'point_up'                 => "\u{261D}",
    :'point_down'               => "\u{1F447}",
    :'point_left'               => "\u{1F448}",
    :'point_right'              => "\u{1F449}",
    :'raised_hands'             => "\u{1F64C}",
    :'pray'                     => "\u{1F64F}",
    :'point_up_2'               => "\u{1F446}",
    :'clap'                     => "\u{1F44F}",
    :'muscle'                   => "\u{1F4AA}",
    # :'metal'                    => nil,
    :'walking'                  => "\u{1F6B6}",
    :'runner'                   => "\u{1F3C3}",
    :'couple'                   => "\u{1F46B}",
    :'dancer'                   => "\u{1F483}",
    :'dancers'                  => "\u{1F46F}",
    :'ok_woman'                 => "\u{1F646}",
    :'no_good'                  => "\u{1F645}",
    :'information_desk_person'  => "\u{1F481}",
    :'bow'                      => "\u{1F647}",
    :'couplekiss'               => "\u{1F48F}",
    :'couple_with_heart'        => "\u{1F491}",
    :'massage'                  => "\u{1F486}",
    :'haircut'                  => "\u{1F487}",
    :'nail_care'                => "\u{1F485}",
    :'boy'                      => "\u{1F466}",
    :'girl'                     => "\u{1F467}",
    :'woman'                    => "\u{1F469}",
    :'man'                      => "\u{1F468}",
    :'baby'                     => "\u{1F476}",
    :'older_woman'              => "\u{1F475}",
    :'older_man'                => "\u{1F474}",
    :'person_with_blond_hair'   => "\u{1F471}",
    :'man_with_gua_pi_mao'      => "\u{1F472}",
    :'man_with_turban'          => "\u{1F473}",
    :'construction_worker'      => "\u{1F477}",
    :'cop'                      => "\u{1F46E}",
    :'angel'                    => "\u{1F47C}",
    :'princess'                 => "\u{1F478}",
    :'guardsman'                => "\u{1F482}",
    :'skull'                    => "\u{1F480}",
    :'feet'                     => "\u{1F463}",
    :'lips'                     => "\u{1F444}",
    :'kiss'                     => "\u{1F48B}",
    :'ear'                      => "\u{1F442}",
    :'eyes'                     => "\u{1F440}",
    :'nose'                     => "\u{1F443}",
    # :'feelsgood'                => nil,
    # :'finnadie'                 => nil,
    # :'goberserk'                => nil,
    # :'godmode'                  => nil,
    # :'hurtrealbad'              => nil,
    # :'rage1'                    => nil,
    # :'rage2'                    => nil,
    # :'rage3'                    => nil,
    # :'rage4'                    => nil,
    # :'suspect'                  => nil,
    # :'trollface'                => nil,
  }

  NATURE = {
    :'sunny'                    => "\u{2600}",
    :'umbrella'                 => "\u{2614}",
    :'cloud'                    => "\u{2601}",
    :'snowman'                  => "\u{26C4}",
    :'moon'                     => "\u{1F319}",
    :'zap'                      => "\u{26A1}",
    :'cyclone'                  => "\u{1F300}",
    :'ocean'                    => "\u{1F30A}",
    :'cat'                      => "\u{1F431}",
    :'dog'                      => "\u{1F436}",
    :'mouse'                    => "\u{1F42D}",
    :'hamster'                  => "\u{1F439}",
    :'rabbit'                   => "\u{1F430}",
    :'wolf'                     => "\u{1F43A}",
    :'frog'                     => "\u{1F438}",
    :'tiger'                    => "\u{1F42F}",
    :'koala'                    => "\u{1F428}",
    :'bear'                     => "\u{1F43B}",
    :'pig'                      => "\u{1F437}",
    :'cow'                      => "\u{1F42E}",
    :'boar'                     => "\u{1F417}",
    :'monkey_face'              => "\u{1F435}",
    :'monkey'                   => "\u{1F412}",
    :'horse'                    => "\u{1F434}",
    :'racehorse'                => "\u{1F40E}",
    :'camel'                    => "\u{1F42B}",
    :'sheep'                    => "\u{1F411}",
    :'elephant'                 => "\u{1F418}",
    :'snake'                    => "\u{1F40D}",
    :'bird'                     => "\u{1F426}",
    :'baby_chick'               => "\u{1F424}",
    :'chicken'                  => "\u{1F414}",
    :'penguin'                  => "\u{1F427}",
    :'bug'                      => "\u{1F41B}",
    :'octopus'                  => "\u{1F419}",
    :'tropical_fish'            => "\u{1F420}",
    :'fish'                     => "\u{1F41F}",
    :'whale'                    => "\u{1F433}",
    :'dolphin'                  => "\u{1F42C}",
    :'bouquet'                  => "\u{1F490}",
    :'cherry_blossom'           => "\u{1F338}",
    :'tulip'                    => "\u{1F337}",
    :'four_leaf_clover'         => "\u{1F340}",
    :'rose'                     => "\u{1F339}",
    :'sunflower'                => "\u{1F33B}",
    :'hibiscus'                 => "\u{1F33A}",
    :'maple_leaf'               => "\u{1F341}",
    :'leaves'                   => "\u{1F343}",
    :'fallen_leaf'              => "\u{1F342}",
    :'palm_tree'                => "\u{1F334}",
    :'cactus'                   => "\u{1F335}",
    :'ear_of_rice'              => "\u{1F33E}",
    :'shell'                    => "\u{1F41A}",
    :'octocat'                  => nil,
    :'squirrel'                 => nil,
  }

  OBJECTS = {
    :'bamboo'                   => "\u{1F38D}",
    :'gift_heart'               => "\u{1F49D}",
    :'dolls'                    => "\u{1F38E}",
    :'school_satchel'           => "\u{1F392}",
    :'mortar_board'             => "\u{1F393}",
    :'flags'                    => "\u{1F38F}",
    :'fireworks'                => "\u{1F386}",
    :'sparkler'                 => "\u{1F387}",
    :'wind_chime'               => "\u{1F390}",
    :'rice_scene'               => "\u{1F391}",
    :'jack_o_lantern'           => "\u{1F383}",
    :'ghost'                    => "\u{1F47B}",
    :'santa'                    => "\u{1F385}",
    :'christmas_tree'           => "\u{1F384}",
    :'gift'                     => "\u{1F381}",
    :'bell'                     => "\u{1F514}",
    :'tada'                     => "\u{1F389}",
    :'balloon'                  => "\u{1F388}",
    :'cd'                       => "\u{1F4BF}",
    :'dvd'                      => "\u{1F4C0}",
    :'camera'                   => "\u{1F4F7}",
    :'movie_camera'             => "\u{1F3A5}",
    :'computer'                 => "\u{1F4BB}",
    :'tv'                       => "\u{1F4FA}",
    :'iphone'                   => "\u{1F4F1}",
    :'fax'                      => "\u{1F4E0}",
    :'phone'                    => "\u{260E}",
    :'telephone'                => "\u{260E}",
    :'minidisc'                 => "\u{1F4BD}",
    :'vhs'                      => "\u{1F4FC}",
    :'speaker'                  => "\u{1F50A}",
    :'loudspeaker'              => "\u{1F4E2}",
    :'mega'                     => "\u{1F4E3}",
    :'radio'                    => "\u{1F4FB}",
    :'satellite'                => "\u{1F4E1}",
    :'loop'                     => "\u{27BF}",
    :'mag'                      => "\u{1F50D}",
    :'unlock'                   => "\u{1F513}",
    :'lock'                     => "\u{1F512}",
    :'key'                      => "\u{1F511}",
    :'scissors'                 => "\u{2702}",
    :'hammer'                   => "\u{1F528}",
    :'bulb'                     => "\u{1F4A1}",
    :'calling'                  => "\u{1F4F2}",
    :'email'                    => "\u{1F4E9}",
    :'mailbox'                  => "\u{1F4EB}",
    :'postbox'                  => "\u{1F4EE}",
    :'bath'                     => "\u{1F6C0}",
    :'toilet'                   => "\u{1F6BD}",
    :'seat'                     => "\u{1F4BA}",
    :'moneybag'                 => "\u{1F4B0}",
    :'trident'                  => "\u{1F531}",
    :'smoking'                  => "\u{1F6AC}",
    :'bomb'                     => "\u{1F4A3}",
    :'gun'                      => "\u{1F52B}",
    :'pill'                     => "\u{1F48A}",
    :'syringe'                  => "\u{1F489}",
    :'football'                 => "\u{1F3C8}",
    :'basketball'               => "\u{1F3C0}",
    :'soccer'                   => "\u{26BD}",
    :'baseball'                 => "\u{26BE}",
    :'tennis'                   => "\u{1F3BE}",
    :'golf'                     => "\u{26F3}",
    :'8ball'                    => "\u{1F3B1}",
    :'swimmer'                  => "\u{1F3CA}",
    :'surfer'                   => "\u{1F3C4}",
    :'ski'                      => "\u{1F3BF}",
    :'spades'                   => "\u{2660}",
    :'hearts'                   => "\u{2665}",
    :'clubs'                    => "\u{2663}",
    :'diamonds'                 => "\u{2666}",
    :'gem'                      => "\u{1F48E}",
    :'ring'                     => "\u{1F48D}",
    :'trophy'                   => "\u{1F3C6}",
    :'space_invader'            => "\u{1F47E}",
    :'dart'                     => "\u{1F3AF}",
    :'mahjong'                  => "\u{1F004}",
    :'clapper'                  => "\u{1F3AC}",
    :'memo'                     => "\u{1F4DD}",
    :'pencil'                   => "\u{1F4DD}",
    :'book'                     => "\u{1F4D6}",
    :'art'                      => "\u{1F3A8}",
    :'microphone'               => "\u{1F3A4}",
    :'headphones'               => "\u{1F3A7}",
    :'trumpet'                  => "\u{1F3BA}",
    :'saxophone'                => "\u{1F3B7}",
    :'guitar'                   => "\u{1F3B8}",
    :'part_alternation_mark'    => "\u{303D}",
    :'shoe'                     => "\u{1F45F}",
    :'sandal'                   => "\u{1F461}",
    :'high_heel'                => "\u{1F460}",
    :'lipstick'                 => "\u{1F484}",
    :'boot'                     => "\u{1F462}",
    :'shirt'                    => "\u{1F455}",
    :'tshirt'                   => "\u{1F455}",
    :'necktie'                  => "\u{1F454}",
    :'dress'                    => "\u{1F457}",
    :'kimono'                   => "\u{1F458}",
    :'bikini'                   => "\u{1F459}",
    :'ribbon'                   => "\u{1F380}",
    :'tophat'                   => "\u{1F3A9}",
    :'crown'                    => "\u{1F451}",
    :'womans_hat'               => "\u{1F452}",
    :'closed_umbrella'          => "\u{1F302}",
    :'briefcase'                => "\u{1F4BC}",
    :'handbag'                  => "\u{1F45C}",
    :'beer'                     => "\u{1F37A}",
    :'beers'                    => "\u{1F37B}",
    :'cocktail'                 => "\u{1F378}",
    :'sake'                     => "\u{1F376}",
    :'fork_and_knife'           => "\u{1F374}",
    :'hamburger'                => "\u{1F354}",
    :'fries'                    => "\u{1F35F}",
    :'spaghetti'                => "\u{1F35D}",
    :'curry'                    => "\u{1F35B}",
    :'bento'                    => "\u{1F371}",
    :'sushi'                    => "\u{1F363}",
    :'rice_ball'                => "\u{1F359}",
    :'rice_cracker'             => "\u{1F358}",
    :'rice'                     => "\u{1F35A}",
    :'ramen'                    => "\u{1F35C}",
    :'stew'                     => "\u{1F372}",
    :'bread'                    => "\u{1F35E}",
    :'egg'                      => "\u{1F373}",
    :'oden'                     => "\u{1F362}",
    :'dango'                    => "\u{1F361}",
    :'icecream'                 => "\u{1F366}",
    :'shaved_ice'               => "\u{1F367}",
    :'birthday'                 => "\u{1F382}",
    :'cake'                     => "\u{1F370}",
    :'apple'                    => "\u{1F34E}",
    :'tangerine'                => "\u{1F34A}",
    :'watermelon'               => "\u{1F349}",
    :'strawberry'               => "\u{1F353}",
    :'eggplant'                 => "\u{1F346}",
    :'tomato'                   => "\u{1F345}",
    :'coffee'                   => "\u{2615}",
    :'tea'                      => "\u{1F375}",
  }

  PLACES = {
    # :'109'                      => nil,
    :'house'                    => "\u{1F3E0}",
    :'school'                   => "\u{1F3EB}",
    :'office'                   => "\u{1F3E2}",
    :'post_office'              => "\u{1F3E3}",
    :'hospital'                 => "\u{1F3E5}",
    :'bank'                     => "\u{1F3E6}",
    :'convenience_store'        => "\u{1F3EA}",
    :'love_hotel'               => "\u{1F3E9}",
    :'hotel'                    => "\u{1F3E8}",
    :'wedding'                  => "\u{1F492}",
    :'church'                   => "\u{26EA}",
    :'department_store'         => "\u{1F3EC}",
    :'city_sunrise'             => "\u{1F307}",
    :'city_sunset'              => "\u{1F306}",
    :'japanese_castle'          => "\u{1F3EF}",
    :'european_castle'          => "\u{1F3F0}",
    :'tent'                     => "\u{26FA}",
    :'factory'                  => "\u{1F3ED}",
    :'tokyo_tower'              => "\u{1F5FC}",
    :'mount_fuji'               => "\u{1F5FB}",
    :'sunrise_over_mountains'   => "\u{1F304}",
    :'sunrise'                  => "\u{1F305}",
    :'stars'                    => "\u{1F303}",
    :'statue_of_liberty'        => "\u{1F5FD}",
    :'rainbow'                  => "\u{1F308}",
    :'ferris_wheel'             => "\u{1F3A1}",
    :'fountain'                 => "\u{26F2}",
    :'roller_coaster'           => "\u{1F3A2}",
    :'ship'                     => "\u{1F6A2}",
    :'speedboat'                => "\u{1F6A4}",
    :'boat'                     => "\u{26F5}",
    :'sailboat'                 => "\u{26F5}",
    :'airplane'                 => "\u{2708}",
    :'rocket'                   => "\u{1F680}",
    :'bike'                     => "\u{1F6B2}",
    :'blue_car'                 => "\u{1F699}",
    :'car'                      => "\u{1F697}",
    :'red_car'                  => "\u{1F697}",
    :'taxi'                     => "\u{1F695}",
    :'bus'                      => "\u{1F68C}",
    :'police_car'               => "\u{1F693}",
    :'fire_engine'              => "\u{1F692}",
    :'ambulance'                => "\u{1F691}",
    :'truck'                    => "\u{1F69A}",
    :'train'                    => "\u{1F683}",
    :'station'                  => "\u{1F689}",
    :'bullettrain_front'        => "\u{1F685}",
    :'bullettrain_side'         => "\u{1F684}",
    :'ticket'                   => "\u{1F3AB}",
    :'fuelpump'                 => "\u{26FD}",
    :'traffic_light'            => "\u{1F6A5}",
    :'warning'                  => "\u{26A0}",
    :'construction'             => "\u{1F6A7}",
    :'beginner'                 => "\u{1F530}",
    :'atm'                      => "\u{1F3E7}",
    :'slot_machine'             => "\u{1F3B0}",
    :'busstop'                  => "\u{1F68F}",
    :'barber'                   => "\u{1F488}",
    :'hotsprings'               => "\u{2668}",
    :'checkered_flag'           => "\u{1F3C1}",
    :'crossed_flags'            => "\u{1F38C}",
    :'jp'                       => "\u{1F1EF}\u{1F1F5}",
    :'kr'                       => "\u{1F1F0}\u{1F1F7}",
    :'cn'                       => "\u{1F1E8}\u{1F1F3}",
    :'us'                       => "\u{1F1FA}\u{1F1F8}",
    :'fr'                       => "\u{1F1EB}\u{1F1F7}",
    :'es'                       => "\u{1F1EA}\u{1F1F8}",
    :'it'                       => "\u{1F1EE}\u{1F1F9}",
    :'ru'                       => "\u{1F1F7}\u{1F1FA}",
    :'gb'                       => "\u{1F1EC}\u{1F1E7}",
    :'de'                       => "\u{1F1E9}\u{1F1EA}",
  }

  SYMBOLS = {
    :'1'                        => "\u{0031}\u{20E3}",
    :'2'                        => "\u{0032}\u{20E3}",
    :'3'                        => "\u{0033}\u{20E3}",
    :'4'                        => "\u{0034}\u{20E3}",
    :'5'                        => "\u{0035}\u{20E3}",
    :'6'                        => "\u{0036}\u{20E3}",
    :'7'                        => "\u{0037}\u{20E3}",
    :'8'                        => "\u{0038}\u{20E3}",
    :'9'                        => "\u{0039}\u{20E3}",
    :'0'                        => "\u{0030}\u{20E3}",
    :'hash'                     => "\u{0023}\u{20E3}",
    :'arrow_backward'           => "\u{25C0}",
    :'arrow_down'               => "\u{2B07}",
    :'arrow_forward'            => "\u{25B6}",
    :'arrow_left'               => "\u{2B05}",
    :'arrow_lower_left'         => "\u{2199}",
    :'arrow_lower_right'        => "\u{2198}",
    :'arrow_right'              => "\u{27A1}",
    :'arrow_up'                 => "\u{2B06}",
    :'arrow_upper_left'         => "\u{2196}",
    :'arrow_upper_right'        => "\u{2197}",
    :'rewind'                   => "\u{23EA}",
    :'fast_forward'             => "\u{23E9}",
    :'ok'                       => "\u{1F197}",
    :'new'                      => "\u{1F195}",
    :'top'                      => "\u{1F51D}",
    :'up'                       => "\u{1F199}",
    :'cool'                     => "\u{1F192}",
    :'cinema'                   => "\u{1F3A6}",
    :'koko'                     => "\u{1F201}",
    :'signal_strength'          => "\u{1F4F6}",
    :'u5272'                    => "\u{1F239}",
    :'u55b6'                    => "\u{1F23A}",
    :'u6307'                    => "\u{1F22F}",
    :'u6708'                    => "\u{1F237}",
    :'u6709'                    => "\u{1F236}",
    :'u6e80'                    => "\u{1F235}",
    :'u7121'                    => "\u{1F21A}",
    :'u7533'                    => "\u{1F238}",
    :'u7a7a'                    => "\u{1F233}",
    :'sa'                       => "\u{1F202}",
    :'restroom'                 => "\u{1F6BB}",
    :'mens'                     => "\u{1F6B9}",
    :'womens'                   => "\u{1F6BA}",
    :'baby_symbol'              => "\u{1F6BC}",
    :'no_smoking'               => "\u{1F6AD}",
    :'parking'                  => "\u{1F17F}",
    :'wheelchair'               => "\u{267F}",
    :'metro'                    => "\u{1F687}",
    :'wc'                       => "\u{1F6BE}",
    :'secret'                   => "\u{3299}",
    :'congratulations'          => "\u{3297}",
    :'ideograph_advantage'      => "\u{1F250}",
    :'underage'                 => "\u{1F51E}",
    :'id'                       => "\u{1F194}",
    :'eight_spoked_asterisk'    => "\u{2733}",
    :'eight_pointed_black_star' => "\u{2734}",
    :'heart_decoration'         => "\u{1F49F}",
    :'vs'                       => "\u{1F19A}",
    :'vibration_mode'           => "\u{1F4F3}",
    :'mobile_phone_off'         => "\u{1F4F4}",
    :'chart'                    => "\u{1F4B9}",
    :'currency_exchange'        => "\u{1F4B1}",
    :'aries'                    => "\u{2648}",
    :'taurus'                   => "\u{2649}",
    :'gemini'                   => "\u{264A}",
    :'cancer'                   => "\u{264B}",
    :'leo'                      => "\u{264C}",
    :'virgo'                    => "\u{264D}",
    :'libra'                    => "\u{264E}",
    :'scorpius'                 => "\u{264F}",
    :'sagittarius'              => "\u{2650}",
    :'capricorn'                => "\u{2651}",
    :'aquarius'                 => "\u{2652}",
    :'pisces'                   => "\u{2653}",
    :'ophiuchus'                => "\u{26CE}",
    :'six_pointed_star'         => "\u{1F52F}",
    :'a'                        => "\u{1F170}",
    :'b'                        => "\u{1F171}",
    :'ab'                       => "\u{1F18E}",
    :'o2'                       => "\u{1F17E}",
    :'red_circle'               => "\u{1F534}",
    :'black_square'             => "\u{1F532}",
    :'white_square'             => "\u{1F533}",
    :'clock1'                   => "\u{1F550}",
    :'clock10'                  => "\u{1F559}",
    :'clock11'                  => "\u{1F55A}",
    :'clock12'                  => "\u{1F55B}",
    :'clock2'                   => "\u{1F551}",
    :'clock3'                   => "\u{1F552}",
    :'clock4'                   => "\u{1F553}",
    :'clock5'                   => "\u{1F554}",
    :'clock6'                   => "\u{1F555}",
    :'clock7'                   => "\u{1F556}",
    :'clock8'                   => "\u{1F557}",
    :'clock9'                   => "\u{1F558}",
    :'o'                        => "\u{2B55}",
    :'x'                        => "\u{274C}",
    :'copyright'                => "\u{00A9}",
    :'registered'               => "\u{00AE}",
    :'tm'                       => "\u{2122}",
    # :'shipit'                   => nil,
  }

  def emojis
    @all ||= PEOPLE.merge(NATURE).merge(OBJECTS).merge(PLACES).merge(SYMBOLS)
  end

  extend self
end
